path: /build/build/libffi-virtual-3.3+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/libffi -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/libffi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libffi && luet-portage --dir /pkgdir/libffi
    virtual/libffi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:31ad52535b9ecda9725286067af200f51551d6627307552faa5f9a7c9e34fd82
  package:
    name: libffi
    version: 3.3+1
    category: virtual
    requires:
    - name: semantic_version
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A virtual for the Foreign Function Interface implementation
    uri:
    - ""
    buildtimestamp: 2025-02-02 20:17:09.54862944 +0000 UTC m=+94.376189284
    labels:
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-libs/libffi-3.3_rc0:0/7[-mgorny(-)]'
      emerge.packages: virtual/libffi
      kit: core-kit
      original.package.name: virtual/libffi
      original.package.slot: "0"
      original.package.version: 3.3_rc0
    treedir: /build/packages
  package_dir: /pkgdir/libffi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6bb07235e55b250ddc4e2b77eaf035f3eddccb602cf75aa0c87a29944bbbcf30
compressiontype: zstd
files:
- var/db/pkg/virtual/libffi-3.3_rc0/BUILD_TIME
- var/db/pkg/virtual/libffi-3.3_rc0/CATEGORY
- var/db/pkg/virtual/libffi-3.3_rc0/CBUILD
- var/db/pkg/virtual/libffi-3.3_rc0/CFLAGS
- var/db/pkg/virtual/libffi-3.3_rc0/CHOST
- var/db/pkg/virtual/libffi-3.3_rc0/COUNTER
- var/db/pkg/virtual/libffi-3.3_rc0/CTARGET
- var/db/pkg/virtual/libffi-3.3_rc0/CXX
- var/db/pkg/virtual/libffi-3.3_rc0/CXXFLAGS
- var/db/pkg/virtual/libffi-3.3_rc0/DEFINED_PHASES
- var/db/pkg/virtual/libffi-3.3_rc0/DESCRIPTION
- var/db/pkg/virtual/libffi-3.3_rc0/EAPI
- var/db/pkg/virtual/libffi-3.3_rc0/FEATURES
- var/db/pkg/virtual/libffi-3.3_rc0/INHERITED
- var/db/pkg/virtual/libffi-3.3_rc0/IUSE
- var/db/pkg/virtual/libffi-3.3_rc0/IUSE_EFFECTIVE
- var/db/pkg/virtual/libffi-3.3_rc0/KEYWORDS
- var/db/pkg/virtual/libffi-3.3_rc0/LDFLAGS
- var/db/pkg/virtual/libffi-3.3_rc0/LICENSE
- var/db/pkg/virtual/libffi-3.3_rc0/PF
- var/db/pkg/virtual/libffi-3.3_rc0/RDEPEND
- var/db/pkg/virtual/libffi-3.3_rc0/SIZE
- var/db/pkg/virtual/libffi-3.3_rc0/SLOT
- var/db/pkg/virtual/libffi-3.3_rc0/USE
- var/db/pkg/virtual/libffi-3.3_rc0/environment.bz2
- var/db/pkg/virtual/libffi-3.3_rc0/libffi-3.3_rc0.ebuild
- var/db/pkg/virtual/libffi-3.3_rc0/repository
package_cacheimage: ""
runtime:
  name: libffi
  version: 3.3+1
  category: virtual
  requires:
  - name: libffi
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A virtual for the Foreign Function Interface implementation
  uri:
  - ""
  labels:
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-libs/libffi-3.3_rc0:0/7[-mgorny(-)]'
    emerge.packages: virtual/libffi
    kit: core-kit
    original.package.name: virtual/libffi
    original.package.slot: "0"
    original.package.version: 3.3_rc0
